SetSiteOperatorPolicy
PUT
/api/sites/{code}/operator-policy
const url = 'https://your-tenant.consystence.com/api/sites/example/operator-policy';const options = { method: 'PUT', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"operatorSurface":"example","remoteOperation":"example","alarmSystemOfRecord":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request PUT \ --url https://your-tenant.consystence.com/api/sites/example/operator-policy \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "operatorSurface": "example", "remoteOperation": "example", "alarmSystemOfRecord": "example" }'Authorizations
Section titled “Authorizations”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters”code
required
string
Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
object
operatorSurface
string
remoteOperation
string
alarmSystemOfRecord
string
Examplegenerated
{ "operatorSurface": "example", "remoteOperation": "example", "alarmSystemOfRecord": "example"}Responses
Section titled “ Responses ”OK